SerializerCache.TypeKey (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser.impl

## Class SerializerCache.TypeKey

- java.lang.Object
- - org.codehaus.jackson.map.ser.impl.SerializerCache.TypeKey

- Enclosing class:
    SerializerCache

      public static final class SerializerCache.TypeKey
      extends Object

  Key that offers two "modes"; one with raw class, as used for cases were raw class type is available (for example, when using runtime type); and one with full generics-including.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `_class`
    `protected int` | `_hashCode`
    `protected boolean` | `_isTyped` Indicator of whether serializer stored has a type serializer wrapper around it or not; if not, it is "untyped" serializer; if it has, it is "typed"
    `protected JavaType` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerCache.TypeKey(Class<?> key, boolean typed)`
    `SerializerCache.TypeKey(JavaType key, boolean typed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `void` | `resetTyped(Class<?> cls)`
    `void` | `resetTyped(JavaType type)`
    `void` | `resetUntyped(Class<?> cls)`
    `void` | `resetUntyped(JavaType type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _hashCode

          protected int _hashCode

    - #### _class

          protected Class<?> _class

    - #### _type

          protected JavaType _type

    - #### _isTyped

          protected boolean _isTyped

      Indicator of whether serializer stored has a type serializer wrapper around it or not; if not, it is "untyped" serializer; if it has, it is "typed"

  - ### Constructor Detail

    - #### SerializerCache.TypeKey

          public SerializerCache.TypeKey(Class<?> key,
                                 boolean typed)

    - #### SerializerCache.TypeKey

          public SerializerCache.TypeKey(JavaType key,
                                 boolean typed)

  - ### Method Detail

    - #### resetTyped

          public void resetTyped(Class<?> cls)

    - #### resetUntyped

          public void resetUntyped(Class<?> cls)

    - #### resetTyped

          public void resetTyped(JavaType type)

    - #### resetUntyped

          public void resetUntyped(JavaType type)

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`